aboutsummaryrefslogtreecommitdiffstats
path: root/util/hpcReport.sh
diff options
context:
space:
mode:
Diffstat (limited to 'util/hpcReport.sh')
-rwxr-xr-xutil/hpcReport.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/util/hpcReport.sh b/util/hpcReport.sh
new file mode 100755
index 0000000..9348a46
--- /dev/null
+++ b/util/hpcReport.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+if [ ! -e xmonad.cabal ]; then
+ echo "run in the same dir as xmonad.cabal after having run
+
+ cabal configure --enable-tests --enable-library-coverage; cabal test
+
+ "
+ exit 1
+fi
+
+for action in markup report; do
+ hpc $action \
+ --exclude=Instances \
+ --exclude=Utils \
+ --exclude=Main \
+ $(find tests/Properties -name '*.hs' | sed -e 's_/_._g' -e 's_.hs$__' -e 's_^tests._--exclude=_' ) \
+ --hpcdir=dist/hpc/mix/xmonad-0.12/ \
+ dist/hpc/tix/properties/properties.tix
+done